net.fortuna.ical4j.util

## Class DefaultEncoderFactory

- java.lang.Object
- - net.fortuna.ical4j.util.EncoderFactory
  - - net.fortuna.ical4j.util.DefaultEncoderFactory

    public class DefaultEncoderFactory
    extends EncoderFactory

Default encoder factory implementation. $Id$ Created on 13/05/2006

Author:
  Ben Fortuna

### Field Summary

### Fields inherited from class net.fortuna.ical4j.util.EncoderFactory

`KEY_FACTORY_CLASS`

### Constructor Summary

Constructors
Constructor and Description
`DefaultEncoderFactory()`

### Method Summary

Methods
`org.apache.commons.codec.BinaryEncoder` `createBinaryEncoder(Encoding encoding)` Returns a new `BinaryEncoder` for the specified encoding.
`org.apache.commons.codec.StringEncoder` `createStringEncoder(Encoding encoding)` Returns a new `StringEncoder` for the specified encoding.

### Methods inherited from class net.fortuna.ical4j.util.EncoderFactory

`getInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultEncoderFactory

    public DefaultEncoderFactory()

### Method Detail

#### createBinaryEncoder

    public org.apache.commons.codec.BinaryEncoder createBinaryEncoder(Encoding encoding)
                                                               throws UnsupportedEncodingException

Returns a new `BinaryEncoder` for the specified encoding.

Specified by:
  `createBinaryEncoder` in class `EncoderFactory`
Parameters:
  `encoding` - an encoding type
Returns:
  a `BinaryEncoder` instance
Throws:
  `UnsupportedEncodingException` - where an encoder supporting the specified encoding is not available.

#### createStringEncoder

    public org.apache.commons.codec.StringEncoder createStringEncoder(Encoding encoding)
                                                               throws UnsupportedEncodingException

Returns a new `StringEncoder` for the specified encoding.

Specified by:
  `createStringEncoder` in class `EncoderFactory`
Parameters:
  `encoding` - an encoding type
Returns:
  a `StringEncoder` instance
Throws:
  `UnsupportedEncodingException` - where an encoder supporting the specified encoding is not available.